Package org.xnio

# Class Option.SetBuilder

java.lang.Object
org.xnio.Option.SetBuilder

Enclosing class:
  `Option<T>`

public static class Option.SetBuilder extends Object
A builder for an immutable option set.

## Method Summary

Modifier and Type
Method
Description
`Option.SetBuilder`
`add(Option<?> option)`
Add an option to this set.
`Option.SetBuilder`
`add(Option<?>... options)`
Add options to this set.
`Option.SetBuilder`
`add(Option<?> option1, Option<?> option2)`
Add options to this set.
`Option.SetBuilder`
`add(Option<?> option1, Option<?> option2, Option<?> option3)`
Add options to this set.
`Option.SetBuilder`
`addAll(Collection<Option<?>> options)`
Add all options from a collection to this set.
`Set<Option<?>>`
`create()`
Create the immutable option set instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public Option.SetBuilder add(Option<?> option)
Add an option to this set.

Parameters:
  `option` - the option to add
Returns:
  this builder

### add

public Option.SetBuilder add(Option<?> option1, Option<?> option2)
Add options to this set.

Parameters:
  `option1` - the first option to add
  `option2` - the second option to add
Returns:
  this builder

### add

public Option.SetBuilder add(Option<?> option1, Option<?> option2, Option<?> option3)
Add options to this set.

Parameters:
  `option1` - the first option to add
  `option2` - the second option to add
  `option3` - the third option to add
Returns:
  this builder

### add

public Option.SetBuilder add(Option<?>... options)
Add options to this set.

Parameters:
  `options` - the options to add
Returns:
  this builder

### addAll

public Option.SetBuilder addAll(Collection<Option<?>> options)
Add all options from a collection to this set.

Parameters:
  `options` - the options to add
Returns:
  this builder

### create

public Set<Option<?>> create()
Create the immutable option set instance.

Returns:
  the option set